Package org.eclipse.e4.ui.model.application.ui

# Interface MUILabel

All Superinterfaces:
  `MLocalizable`

All Known Subinterfaces:
  `MArea`, `MCompositePart`, `MDialog`, `MDirectMenuItem`, `MDirectToolItem`, `MDynamicMenuContribution`, `MHandledItem`, `MHandledMenuItem`, `MHandledToolItem`, `MItem`, `MMenu`, `MMenuElement`, `MMenuItem`, `MMenuSeparator`, `MPart`, `MPartDescriptor`, `MPerspective`, `MPopupMenu`, `MToolItem`, `MTrimmedWindow`, `MWindow`, `MWizardDialog`

public interface MUILabel extends MLocalizable
A representation of the model object 'UI Label'.

This is a mix in that will be used for UI Elements that are capable of showing label information in the GUI (e.g. Parts, Menus / Toolbars, Persepectives...)

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Label`
  - `Icon URI`
  - `Tooltip`
  - `Localized Label`
  - `Localized Tooltip`

## Method Summary

Modifier and Type
Method
Description
`String`
`getIconURI()`
Returns the value of the 'Icon URI' attribute.
`String`
`getLabel()`
Returns the value of the 'Label' attribute.
`String`
`getLocalizedLabel()`
Returns the value of the 'Localized Label' attribute.
`String`
`getLocalizedTooltip()`
Returns the value of the 'Localized Tooltip' attribute.
`String`
`getTooltip()`
Returns the value of the 'Tooltip' attribute.
`void`
`setIconURI(String value)`
Sets the value of the '`Icon URI`' attribute.
`void`
`setLabel(String value)`
Sets the value of the '`Label`' attribute.
`void`
`setTooltip(String value)`
Sets the value of the '`Tooltip`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

## Method Details

### getLabel

String getLabel()
Returns the value of the 'Label' attribute.

The label to display for this element. If the label is expected to be internationalized then the label may be set to a 'key' value to be used by the translation service.

Returns:
  the value of the 'Label' attribute.
Since:
  1.0
See Also:
  - `setLabel(String)`

### setLabel

void setLabel(String value)
Sets the value of the '`Label`' attribute.

Parameters:
  `value` - the new value of the 'Label' attribute.
Since:
  1.0
See Also:
  - `getLabel()`

### getIconURI

String getIconURI()
Returns the value of the 'Icon URI' attribute.

This field contains a fully qualified URL defining the path to an Image to display for this element.

Returns:
  the value of the 'Icon URI' attribute.
Since:
  1.0
See Also:
  - `setIconURI(String)`

### setIconURI

void setIconURI(String value)
Sets the value of the '`Icon URI`' attribute.

Parameters:
  `value` - the new value of the 'Icon URI' attribute.
Since:
  1.0
See Also:
  - `getIconURI()`

### getTooltip

String getTooltip()
Returns the value of the 'Tooltip' attribute.

The tooltip to display for this element. If the tooltip is expected to be internationalized then the tooltip may be set to a 'key' value to be used by the translation service.

Returns:
  the value of the 'Tooltip' attribute.
Since:
  1.0
See Also:
  - `setTooltip(String)`

### setTooltip

void setTooltip(String value)
Sets the value of the '`Tooltip`' attribute.

Parameters:
  `value` - the new value of the 'Tooltip' attribute.
Since:
  1.0
See Also:
  - `getTooltip()`

### getLocalizedLabel

String getLocalizedLabel()
Returns the value of the 'Localized Label' attribute. The default value is `""`.

Returns:
  the value of the 'Localized Label' attribute.

### getLocalizedTooltip

String getLocalizedTooltip()
Returns the value of the 'Localized Tooltip' attribute. The default value is `""`.

Returns:
  the value of the 'Localized Tooltip' attribute.